﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GridViewColumnSortState;
using Telerik.Windows;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Controls.GridView.Rows;
using Telerik.Windows.Data;

namespace RadGridView_for_Silverlight_Beta11
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();

			this.RadGridView1.ItemsSource = GetMessages();
			this.RadGridView1.ValidationMode = ValidationMode.Row;
			this.RadGridView1.AddHandler(GridViewRow.EditEndedEvent, new EventHandler<RecordRoutedEventArgs>(this.OnEditEnded));
		}

		private List<Message> editedMessages = new List<Message>();

		private void OnEditEnded(object sender, RecordRoutedEventArgs e)
		{
			var editedMessage = (Message) ((DataRecord) e.Record).Data;
			this.editedMessages.Add(editedMessage);
		}

		private IList<Message> GetMessages()
		{
			return new Message[] { 
			                     	new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Size = 100 },
			                     	new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Size = 100 },
			                     	new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Size = 100 }
			                     };
		}

	}
}
